Not ready to buy want to ensure it works for you?
Try it free!


Groupcal Version History
Looking for Groupcal 2.0?







System Requirements

Groupcal
Mac OS X 10.4.0
OS X 10.2-10.3 for Groupcal 2
A valid Exchange account

Exchange Server
Microsoft Exchange Server 2000 or 2003
...with recent service packs,
WebDAV (Outlook Web Access)
HTTPS strongly recommended

terms of service
privacy policy
contact

Copyright © 2003-2007
Snerdware, LLC.,
all rights reserved